

StartupEvents.registry("block", (event) => {
    event.create("heroes:pocket_reality_domain")
        .displayName("Domain Block")
        .hardness(100000000.0)
        .resistance(100000000.0)
		.noDrops()
		.lightLevel(15)
        .model('heroes:block/pocket_reality_domain_block')
        .transparent(true)
        .property(BlockProperties.LEVEL)
        .randomTick(tick => {
            const block = tick.block
            const properties = block.properties
            const level = Number(properties.level)
            if (level >= 1) {
				block.set('minecraft:air')
			} else {
                block.set('heroes:pocket_reality_domain', {level: `${level + 1}`})
            }
        })
})